using Godot;
using System.Reflection;
using System.Collections.Generic;

namespace Rokojori
{ 
  [Tool]
  [GlobalClass]
  public partial class Texture2DPropertyTransfer:Resource
  { 
    [Export]
    public Sampler2DPropertyName from;

    [Export]
    public Sampler2DPropertyName to;

    public void Transfer( Material a, Material b )
    {
      var v = from.Get( a );

      if ( v == null )
      {
        return;
      }
      else
      {
        to.Set( b, v );
      }

      
    }

  }
}

